(function (Drupal, drupalSettings, $) {
  'use strict';
  Drupal.behaviors.simple_instagram_feed = {
    attach: function (context, settings) {
      var block_instance = settings.simple_instagram_feed.simple_instagram_block.block_instance;
      var block_target = (settings.simple_instagram_feed.simple_instagram_block.block_without_id === 'true' ?
        '.block-' + block_instance : '#block-' + block_instance);
      
      $(block_target).once().each(function() {
        var instagram_username = settings.simple_instagram_feed.simple_instagram_block.instagram_username;
        var display_profile = settings.simple_instagram_feed.simple_instagram_block.display_profile;
        var display_biography = settings.simple_instagram_feed.simple_instagram_block.display_biography;
        var items = settings.simple_instagram_feed.simple_instagram_block.items;
        var styling = (settings.simple_instagram_feed.simple_instagram_block.styling === 'true' ? true : false);
        var items_per_row = settings.simple_instagram_feed.simple_instagram_block.items_per_row;

        var feed_settings = {
          username: instagram_username,
          container: block_target + ' .instagram-feed',
          display_profile: display_profile,
          display_biography: display_biography,
          display_gallery: true,
          callback: null,
          styling: styling,
          items: items,
          margin: 0.25
        };

        if (styling) {
          feed_settings.items_per_row = items_per_row;
        }

        $.instagramFeed(feed_settings);
      });
    }
  };
})(Drupal, drupalSettings, jQuery);
